> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.polytomic.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server.

# List Partner Users

GET https://app.polytomic.com/api/organizations/{org_id}/users

Lists all users in the specified organization.

> 🚧 Requires partner key
>
> User endpoints are only accessible using [partner keys](../../../../guides/obtaining-api-keys#partner-keys).

Returns user records including each user's ID, email, and assigned roles.

Reference: https://apidocs.polytomic.com/api-reference/users/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: '2025-09-18'
  version: 1.0.0
paths:
  /api/organizations/{org_id}/users:
    get:
      operationId: list
      summary: List Partner Users
      description: >-
        Lists all users in the specified organization.


        > 🚧 Requires partner key

        >

        > User endpoints are only accessible using [partner
        keys](../../../../guides/obtaining-api-keys#partner-keys).


        Returns user records including each user's ID, email, and assigned
        roles.
      tags:
        - subpackage_users
      parameters:
        - name: org_id
          in: path
          description: Unique identifier of the organization whose users should be listed.
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: Bearer partner API key
          required: true
          schema:
            type: string
        - name: X-Polytomic-Version
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUsersEnvelope'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
servers:
  - url: https://app.polytomic.com
    description: https://app.polytomic.com/
components:
  schemas:
    User:
      type: object
      properties:
        email:
          type: string
          description: Email address used to sign in and receive notifications.
        id:
          type: string
          format: uuid
          description: Unique identifier of the user.
        organization_id:
          type: string
          format: uuid
          description: Unique identifier of the organization the user belongs to.
        role:
          type: string
          description: Deprecated legacy role name. Use role_ids instead.
        role_ids:
          type:
            - array
            - 'null'
          items:
            type: string
            format: uuid
          description: Identifiers of the permissions roles assigned to the user.
      title: User
    ListUsersEnvelope:
      type: object
      properties:
        data:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/User'
      title: ListUsersEnvelope
    ApiError:
      type: object
      properties:
        key:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties:
            description: Any type
        status:
          type: integer
      title: ApiError
  securitySchemes:
    bearerPartnerKey:
      type: http
      scheme: bearer
      description: Bearer partner API key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "email": "jane.doe@acmecorp.com",
      "id": "a3f1c2d4-5b6e-7f89-0123-456789abcdef",
      "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
      "role_ids": [
        "d9f8e7c6-b5a4-3210-9fed-cba987654321"
      ],
      "role": "admin"
    },
    {
      "email": "john.smith@acmecorp.com",
      "id": "b4e2d3c5-6f7a-8901-2345-6789abcdef01",
      "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
      "role_ids": [
        "e1f2d3c4-b5a6-7890-1234-56789abcdef0"
      ],
      "role": "user"
    }
  ]
}
```

**SDK Code**

```typescript
import { PolytomicClient } from "polytomic";

async function main() {
    const client = new PolytomicClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.users.list("248df4b7-aa70-47b8-a036-33ac447e668d");
}
main();

```

```python
from polytomic import Polytomic

client = Polytomic(
    token="YOUR_TOKEN_HERE",
)

client.users.list(
    org_id="248df4b7-aa70-47b8-a036-33ac447e668d",
)

```

```go
package example

import (
    context "context"

    client "github.com/polytomic/polytomic-go/v25/client"
    option "github.com/polytomic/polytomic-go/v25/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "YOUR_TOKEN_HERE",
        ),
    )
    client.Users.List(
        context.TODO(),
        "248df4b7-aa70-47b8-a036-33ac447e668d",
    )
}

```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```